# Export IMG Application Attribution report asynchronously

Endpoint: POST /api/v3.0/applications/{applicationUuid}/images/reports/attribution
Version: 3.0
Security: bearer-key

## Path parameters:

  - `applicationUuid` (string, required)
    application UUID.

## Request fields (application/json):

  - `uuid` (string)

  - `name` (string)

  - `scopeUuid` (string)

  - `scopeName` (string)

  - `subScopes` (array)

  - `subScopes.uuid` (string)

  - `subScopes.name` (string)

  - `subScopes.scopeUuid` (string)

  - `subScopes.scopeName` (string)

  - `title` (string)

  - `reportType` (string)
    Enum: "attribution", "inventory", "vulnerabilities", "securityAlerts", "sbom", "securityAlertsLibrary", "Compliance", "Findings", "Suppressions", "Resolved", "spdx", "spdx_2_3", "cycloneDX", "cycloneDX_1_5", "cycloneDX_1_6", "dueDiligence", "unknown", "imgAttribution", "imgDueDiligence", "imgSpdx", "imgSpdx_2_3", "imgCycloneDX", "imgCycloneDX_1_5", "aiInventory", "aiFindings", "imgCycloneDX_1_6", "risk"

  - `format` (string)
    Enum: "json", "html", "unknown", "xml", "excel", "yaml", "pdf", "tv", "rdf", "csv", "sarif"

  - `scopeType` (string)
    Enum: "organization", "product", "project", "unsupported", "account"

  - `scopeUuidList` (array)

  - `projectUuids` (array)

  - `status` (string)
    Enum: "PENDING", "IN_PROGRESS", "FAILED", "FAILURE", "SUCCESS"

  - `createdBy` (string)

  - `createdAt` (string)

  - `sendEmailNotification` (boolean)

  - `labelsUuidList` (array)

  - `includeVulnerabilities` (boolean)

  - `excludeInactiveProjects` (boolean)

  - `groupBy` (string)
    Enum: "BY_COMPONENT", "BY_PROJECT"

  - `header` (string)

  - `footer` (string)

  - `selectedColumns` (array)
    Enum: "SUMMARY", "PROJECTS", "PRODUCTS", "LICENSES", "NOTICES", "COPYRIGHTS", "PRIMARY_ATTRIBUTES", "PACKAGE_NAME", "PACKAGE_VERSION"

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: "1171c60d"

  - `response` (object)

  - `response.uuid` (string)

  - `response.name` (string)

  - `response.scopeUuid` (string)

  - `response.scopeName` (string)

  - `response.subScopes` (array)

  - `response.title` (string)

  - `response.reportType` (string)
    Enum: "attribution", "inventory", "vulnerabilities", "securityAlerts", "sbom", "securityAlertsLibrary", "Compliance", "Findings", "Suppressions", "Resolved", "spdx", "spdx_2_3", "cycloneDX", "cycloneDX_1_5", "cycloneDX_1_6", "dueDiligence", "unknown", "imgAttribution", "imgDueDiligence", "imgSpdx", "imgSpdx_2_3", "imgCycloneDX", "imgCycloneDX_1_5", "aiInventory", "aiFindings", "imgCycloneDX_1_6", "risk", "users", "zeroDayCatalog"

  - `response.format` (string)
    Enum: "json", "html", "unknown", "xml", "excel", "yaml", "pdf", "tv", "rdf", "csv", "sarif"

  - `response.scopeType` (string)
    Enum: "organization", "product", "project", "unsupported", "account"

  - `response.scopeUuidList` (array)

  - `response.projectUuids` (array)

  - `response.status` (string)
    Enum: "PENDING", "IN_PROGRESS", "FAILED", "FAILURE", "SUCCESS"

  - `response.createdBy` (string)

  - `response.createdAt` (string)

  - `response.sendEmailNotification` (boolean)

  - `response.labelsUuidList` (array)

  - `response.includeVulnerabilities` (boolean)

  - `response.excludeInactiveProjects` (boolean)

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


